Pārlūkot izejas kodu

*: fix typos in command names (#11730)

* *: fix typos in command names

* command name fixes in other languages

* fix incorrectly translated commands

* change incorrect file name

* qm move disk alias pages

---------

Co-authored-by: K.B.Dharun Krishna <kbdharunkrishna@gmail.com>
Juri Dispan 1 gadu atpakaļ
vecāks
revīzija
9d383ade68

+ 1 - 1
pages.ar/linux/apt-get.md

@@ -1,4 +1,4 @@
-# apt
+# apt-get
 
 > أداة إدارة الحزم لديبيان وأوبونتو.
 > ابحث عن الحزم باستخدام `apt-cache`.

+ 1 - 1
pages.de/common/g++.md

@@ -1,4 +1,4 @@
-# gplusplus
+# g++
 
 > Kompiliere C++ Quelldateien.
 > Teil der GCC (GNU Compiler Collection).

+ 1 - 1
pages.es/osx/cut.md

@@ -1,4 +1,4 @@
-# cortar
+# cut
 
 > Cortar campos sean `stdin` o archivos.
 > Más información: <https://manned.org/man/freebsd-13.0/cut.1>.

+ 1 - 1
pages.es/osx/internetsharing.md

@@ -1,4 +1,4 @@
-# Compartir Internet
+# InternetSharing
 
 > Configura Internet Sharing.
 > No debe invocarse manualmente.

+ 1 - 1
pages.id/windows/sl.md

@@ -1,4 +1,4 @@
-# iwr
+# sl
 
 > Perintah ini merupakan alias dari `Set-Location` di PowerShell.
 > Informasi lebih lanjut: <https://learn.microsoft.com/powershell/module/microsoft.powershell.management/set-location>.

+ 1 - 1
pages.ne/android/bugreportz.md

@@ -1,4 +1,4 @@
-# Bugreport
+# bugreportz
 
 > जिप गरिएको एन्ड्रोइड बग रिपोर्ट उत्पन्न गर्नुहोस्।
 > यो आदेश `adb shell` मार्फत मात्र प्रयोग गर्न सकिन्छ।

+ 0 - 0
pages.nl/linux/qm-importdisk.md → pages.nl/linux/qm-import-disk.md


+ 1 - 1
pages.pt_BR/common/g++.md

@@ -1,4 +1,4 @@
-# gplusplus
+# g++
 
 > Compila arquivos de código fonte C++.
 > Parte do GCC (GNU Compiler Collection).

+ 1 - 1
pages.zh/linux/arecord.md

@@ -1,4 +1,4 @@
-# arecored
+# arecord
 
 > ALSA 声卡驱动的声音录制器。
 > 更多信息:<https://manned.org/arecord>.

+ 4 - 4
pages/common/gemtopnm.md

@@ -1,16 +1,16 @@
-# gemtopbm
+# gemtopnm
 
 > Convert a GEM image file into a PNM image.
 > More information: <https://netpbm.sourceforge.net/doc/gemtopnm.html>.
 
 - Convert a GEM image file to a PNM image:
 
-`gemtopbm {{path/to/file.img}} > {{path/to/output.pbm}}`
+`gemtopnm {{path/to/file.img}} > {{path/to/output.pnm}}`
 
 - Describe the contents of the specified GEM image:
 
-`gemtopbm -d {{path/to/file.img}}`
+`gemtopnm -d {{path/to/file.img}}`
 
 - Display version:
 
-`gemtopbm -version`
+`gemtopnm -version`

+ 1 - 1
pages/common/kubectl-expose.md

@@ -1,4 +1,4 @@
-# kubectl edit
+# kubectl expose
 
 > Expose a resource as a new Kubernetes service.
 > More information: <https://kubernetes.io/docs/reference/generated/kubectl/kubectl-commands#expose>.

+ 2 - 2
pages/common/kubectl-label.md

@@ -1,6 +1,6 @@
-# kubectl edit
+# kubectl label
 
-> Edit Kubernetes resources.
+> Label Kubernetes resources.
 > More information: <https://kubernetes.io/docs/reference/generated/kubectl/kubectl-commands#label>.
 
 - Label a pod:

+ 1 - 1
pages/common/kubectl-scale.md

@@ -1,4 +1,4 @@
-# kubectl edit
+# kubectl scale
 
 > Set a new size for a deployment, replica set, replication controller, or stateful set.
 > More information: <https://kubernetes.io/docs/reference/generated/kubectl/kubectl-commands#scale>.

+ 1 - 1
pages/common/tlmgr-platform.md

@@ -1,4 +1,4 @@
-# tldr platform
+# tlmgr platform
 
 > Manage TeX Live platforms.
 > More information: <https://www.tug.org/texlive/tlmgr.html>.

+ 0 - 0
pages/linux/fprind.md → pages/linux/fprintd.md


+ 3 - 3
pages/linux/qm-move-disk.md

@@ -1,8 +1,8 @@
-# qm move_disk
+# qm move disk
 
-> This command and `qm move-disk` is an alias of `qm disk move`.
+> This command is an alias of `qm disk move`.
 > More information: <https://pve.proxmox.com/pve-docs/qm.1.html>.
 
 - View documentation for the original command:
 
-`tldr qm-disk-move`
+`tldr qm disk move`

+ 8 - 0
pages/linux/qm-move_disk.md

@@ -0,0 +1,8 @@
+# qm move disk
+
+> This command is an alias of `qm disk move`.
+> More information: <https://pve.proxmox.com/pve-docs/qm.1.html>.
+
+- View documentation for the original command:
+
+`tldr qm disk move`

+ 15 - 0
scripts/wrong-filename.sh

@@ -0,0 +1,15 @@
+#!/bin/sh
+# SPDX-License-Identifier: MIT
+
+set -e
+
+for path in $(find . -name '*.md' -type f); do
+  COMMAND_NAME_FILE=$(basename "$path" | head -c-4 | tr '-' ' ' | tr '[:upper:]' '[:lower:]')
+  COMMAND_NAME_PAGE=$(head -n1 "$path" | tail -c+3 | tr '-' ' ' | tr '[:upper:]' '[:lower:]')
+  if [ "$COMMAND_NAME_FILE" != "$COMMAND_NAME_PAGE" ]; then
+    echo "$path"
+    echo "$COMMAND_NAME_FILE"
+    echo "$COMMAND_NAME_PAGE"
+    echo "\n\n"
+  fi
+done